#
# spec file for package rubygem-diff-lcs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-diff-lcs
Version:        1.2.5
Release:        4.22
%define mod_name diff-lcs
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://diff-lcs.rubyforge.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:       gem2rpm.yml
# MANUAL
Patch0:  fix-interpreter.diff
# /MANUAL
Summary:        Diff::LCS computes the difference between two Enumerable sequences
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Diff::LCS computes the difference between two Enumerable sequences using the
McIlroy-Hunt longest common subsequence (LCS) algorithm. It includes utilities
to create a simple HTML diff output format and a standard diff-like tool.
This is release 1.2.4, fixing a bug introduced after diff-lcs 1.1.3 that did
not properly prune common sequences at the beginning of a comparison set.
Thanks to Paul Kunysch for fixing this issue.
Coincident with the release of diff-lcs 1.2.3, we reported an issue with
Rubinius in 1.9 mode
({rubinius/rubinius#2268}[https://github.com/rubinius/rubinius/issues/2268]).
We are happy to report that this issue has been resolved.

%prep
%gem_unpack
%patch0 -p1
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.rdoc License.rdoc README.rdoc" \
  -f

%gem_packages

%changelog
* Tue Jul 15 2014 mrueckert@suse.com
- added gem2rpm.yml and regenerated the spec file with it
* Thu Jun 26 2014 mrueckert@suse.com
- move to SLE 12 packaging schema
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.2.5
  * Bugs fixed:
  * Comparing arrays flattened them too far, especially with Diff::LCS.sdiff.
    https://github.com/halostatue/diff-lcs/pull/23
* Thu Oct  3 2013 jreidinger@suse.com
- conform license to conform SPDX
* Wed Apr 24 2013 coolo@suse.com
- updated to version 1.2.4
  * Bugs fixed:
  * A bug was introduced after 1.1.3 when pruning common sequences at the start
    of comparison. Paul Kunysch (@pck) fixed this in pull request 18. Thanks!
    https://github.com/halostatue/diff-lcs/pull/18
  * The Rubinius (1.9 mode) bug in rubinius/rubinius#2268 has been fixed by the
  Rubinius team two days after it was filed. Thanks for fixing this so quickly!
  https://github.com/rubinius/rubinius/issues/2268
  * Switching to Raggi's hoe-gemspec2 for gemspec generation.
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.2.3
  * Bugs Fixed:
  * The new encoding detection for diff output generation (added in 1.2.2)
    introduced a bug if the left side of the comparison was the empty set.
    Originally found in rspec/rspec-expectations#238 and
    rspec/rspec-expectations#239. Jon Rowe developed a reasonable heuristic
    (left side, right side, empty string literal) to avoid this bug.
    https://github.com/rspec/rspec-expectations/pull/238
    https://github.com/rspec/rspec-expectations/pull/239
  * There is a known issue with Rubinius in 1.9 mode reported in
  rubinius/rubinius#2268 and demonstrated in the Travis CI builds. For all
  other tested platforms, diff-lcs is considered stable. As soon as a suitably
  small test-case can be created for the Rubinius team to examine, this will be
  added to the Rubinius issue around this.
  https://github.com/rubinius/rubinius/issues/2268
  https://travis-ci.org/halostatue/diff-lcs/jobs/6241195
  == 1.2.2 / 2013-03-30
  * Bugs Fixed:
  * Diff::LCS::Hunk could not properly generate a difference for comparison
    sets that are not US-ASCII-compatible because of the use of literal regular
    expressions and strings. Jon Rowe (JonRowe) found this in
    rspec/rspec-expectations#219 and provided a first pass implementation in
    diff-lcs#15. I've reworked it because of test failures in Rubinius when
    running in Ruby 1.9 mode. This coerces the added values to the encoding of
    the old dataset (as determined by the first piece of the old dataset).
    https://github.com/rspec/rspec-expectations/issues/219
    https://github.com/halostatue/diff-lcs/pull/15
  * Adding Travis CI testing for Ruby 2.0.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.2.1
* Fri Jan 25 2013 coolo@suse.com
- updated to version 1.2.0
* Wed Nov 30 2011 schubi@suse.com
- added provides: rubygem-diff-lcs-1_1
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue Mar 31 2009 mrueckert@suse.de
- initial package
